View Issue Details

IDProjectCategoryView StatusLast Update
0036664LazarusWidgetsetpublic2020-08-02 12:54
Reporterhan Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSMacOS 
Product Version2.0.2 
Summary0036664: Tmemo1.lines.count gives different value in Mac then in Linux & Windows
DescriptionUsing the same code, the values of Memo1.lines.count is in the Mac version one count higher then using the Windows & Linux compiler. Is this a bug or something due to cocoa? For Windows& Linux I use gtk2.

See attached screenshots of the tiny demonstration program containing only:
 form1.label2.caption:=inttostr(form1.Memo1.lines.count);

Demo program is also attached.

Han
Steps To ReproduceUse attached program
TagsNo tags attached.
Fixed in Revision63273
LazTarget-
WidgetsetCocoa
Attached Files

Activities

han

2020-02-06 12:44

reporter  

memo_count_test.zip (130,970 bytes)
windows and Linux.png (4,131 bytes)   
windows and Linux.png (4,131 bytes)   

Dmitry Boyarintsev

2020-06-02 04:36

developer   ~0123176

please test and close if ok

han

2020-08-01 14:53

reporter   ~0124460

I'm glad it is fixed. Thanks. However I can't see it fixed in Lazarus 2.0.10. The test program still indicates 4 rather then 3.
Strange enough the Mac Lazarus installation indicates SVN "unversioned directory" while the Windows installation indicated SVN 63526.

Will wait till next Mac version of Lazarus.

han

2020-08-02 12:54

reporter   ~0124488

fixed in trunk. Thanks

Issue History

Date Modified Username Field Change
2020-02-06 12:44 han New Issue
2020-02-06 12:44 han File Added: memo_count_test.zip
2020-02-06 12:44 han File Added: windows and Linux.png
2020-06-02 04:36 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-06-02 04:36 Dmitry Boyarintsev Status new => resolved
2020-06-02 04:36 Dmitry Boyarintsev Resolution open => fixed
2020-06-02 04:36 Dmitry Boyarintsev Fixed in Revision => 63273
2020-06-02 04:36 Dmitry Boyarintsev LazTarget => -
2020-06-02 04:36 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-06-02 04:36 Dmitry Boyarintsev Note Added: 0123176
2020-08-01 14:53 han Note Added: 0124460
2020-08-02 12:54 han Status resolved => closed
2020-08-02 12:54 han Note Added: 0124488